<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Task 2</title>
    <link rel="stylesheet" href="calculator.css">
</head>
<body>
    <div class="border">
         <div id="myBar" class="w3-container w3-green w3-center" style="width:0%">0%</div>
    </div>
<br>
<button class="label1">50</button>
<button class="label" onclick="move()">SET</button>

<script>
    function move() {
        let elem = document.getElementById("myBar");
        let width = 20;
        let id = setInterval(frame, 10);
        function frame() {
            if (width >= 50) {
                clearInterval(id);
            } else {
                width++;
                elem.style.width = width + '%';
                elem.innerHTML = width * 1  + '%';

            }
        }
    }
</script>
</body>
</html>